Package org.h2.value

# Class VersionedValue<T>

java.lang.Object
org.h2.value.VersionedValue<T>

Direct Known Subclasses:
  `Value`

public class VersionedValue<T> extends Object
A versioned value (possibly null). It contains current value and latest committed value if current one is uncommitted. Also for uncommitted values it contains operationId - a combination of transactionId and logId.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`VersionedValue()`

## Method Summary

Modifier and Type
Method
Description
`T`
`getCommittedValue()`
`T`
`getCurrentValue()`
`long`
`getOperationId()`
`boolean`
`isCommitted()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VersionedValue

protected VersionedValue()

## Method Details

### isCommitted

public boolean isCommitted()

### getOperationId

public long getOperationId()

### getCurrentValue

public T getCurrentValue()

### getCommittedValue

public T getCommittedValue()